#include "fifo.h"
#include <iostream.h>
#include <stdio.h>


fifo::fifo(int length){

	m_len = length;
	m_sor = new int[length];
	for (int i=0;i<length;i++){
		m_sor[i]=0;
	}
	m_pos = 0;

};

void fifo::operator +(const int& szam){

	if ( m_pos<m_len ) {
		
		m_sor[m_pos]=szam;
		m_pos += 1;
	} else cout << "A sor megtelt!!" << endl;
    return;
};

int fifo::operator -(){

	int elem=m_sor[0];


	for (int i=1;i<m_pos;i++){
	
		m_sor[i-1]=m_sor[i];
	}
    m_sor[m_pos-1]=0;
	m_pos -= 1;

	return elem;

};

void fifo::operator =(const fifo& f){

	for (int i=0;i<f.m_len;i++){
		m_sor[i]=f.m_sor[i];
	}

	m_pos = f.m_pos;
	m_len = f.m_len;
    return;
};

fifo::print(){

	for (int i=0;i<m_len;i++){
		cout << "[" << m_sor[i] << "]" << " ";
	}
	cout << endl;

};


int fifo::free_unit(){

	return m_len-m_pos;
};

int fifo::max_unit(){

	return m_len;

};

bool fifo::operator ==(const fifo& f){

	if ( m_pos==f.m_pos ) {
	
		for (int i=0;i<m_pos;i++){

			if (m_sor[i]!=f.m_sor[i]) return false;
		}
	} else return false;

	return true;
};