//------------------------------------------------------
// Name: MassSet.h
// Desc: pontszer testek trolsra szolgl halmaz
//       legyen a 0 tmeg pont nem ltez pont
// (c) RebelMaGE, 2004
//------------------------------------------------------
#ifndef Masset_H
#define Masset_H


#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;

typedef unsigned int UINT;







typedef struct Mass {
	int		m_imass ;
	double	m_dx ;
	double	m_dy ;
	Mass(int m, double x, double y){
		m_imass = m;
		m_dx = x;
		m_dy = y;
	}
	Mass(){
		m_dx = 0;
		m_dy = 0;
		m_imass = 0;
	}
} ;


class MassSet{
private:
	UINT	m_uiSize;
	Mass*	m_aMasses;
public:
	
	MassSet(UINT size);
	MassSet(const MassSet& m);
	
	~MassSet();
	
	double tetaY();
	
	void operator +(const Mass m);
	MassSet operator +(const MassSet m);
	MassSet operator *(const MassSet m);
	void operator=(const MassSet m);
	
	friend ostream& operator <<(ostream& out, MassSet m);
};

#endif
