//------------------------------------------------------
// Name: Graf.h
// Desc: szomszdossgi mtrixxal megvalstott grf
//		 ez a megvalsts irnytott mtrixot hasznl
//		 az irnytatlan mtrix csak az add illetve a 
//		 remove eljrsokat vltoztatja
// (c) RebelMaGE, 2004
//------------------------------------------------------
#ifndef Graf_H
#define Graf_H


#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;

typedef unsigned int UINT;




class Graf{
private:
	short **		m_matrix;
	unsigned short	m_size;
public:

	Graf(short size);
	Graf(const Graf& g);
	~Graf();

	void add(UINT i, UINT j);
	void remove(UINT i, UINT j);

	Graf operator+(const Graf g);
	Graf operator*(const Graf g);

	void echoNearest(const short csucs);

	friend ostream& operator<<(ostream& out, const Graf g);
};
#endif