#include "Lifo.h"
#include <iostream.h>

Lifo::Lifo(int len){

	m_aSor = new int[len];
	m_iPos = 0;
	m_iLen = len;
	
	for (int i=0;i<len;i++){
	
		m_aSor[i]=0;

	}

};

void Lifo::operator +(const int& num){

	if ( m_iPos<=m_iLen ){
	
		m_aSor[m_iPos]=num;
		m_iPos += 1;

	} else cout << "A Lifo sor megtelt!!" << endl;

	return;
	
};

void Lifo::operator=(const Lifo& l){

	delete m_aSor;

	m_iLen = l.m_iLen;
	m_iPos = l.m_iPos;

	for (int i=0;i<l.m_iLen;i++){

		m_aSor[i] = l.m_aSor[i];

	}

	return;

};

int Lifo::operator -(){

	if ( m_iPos>0 ){

		int num = m_aSor[m_iPos-1];
	
		m_aSor[m_iPos-1]=0;
		m_iPos -= 1;

		return num;

	} 

	cout << "A Lifo sorban nincs elem!!" << endl;
    return 0;

};

int Lifo::max_len(){

	return m_iLen;

};

ostream& operator<<(ostream& out,const Lifo l){
	
	if (l.m_iPos > 0){

		for (int i=l.m_iPos-1;i>=0;i--){

			out << "[" << l.m_aSor[i] << "] ";

		}

		out << endl;

	} else out << "A Lifo sorban nincs elem!!" << endl;; 
	
	return out;

}


