//------------------------------------------------------
// Name: StringSet.h
// Desc: sztringhalmaz kezelsre szolgl osztly
// (c) 2004
//------------------------------------------------------
#ifndef StringSet_H
#define StringSet_H

#include <string.h>
#include <iostream>
#include <math.h>

using namespace std;

typedef unsigned int UINT;

class StringSet{
public:
	char** m_strings;
	short  m_num;

	StringSet(int len);
	StringSet(char** strings, short num);
	StringSet();
	StringSet(StringSet& sset);

	~StringSet();

	int in(const char* str);
	void add(const char* str);

	StringSet operator+(const StringSet sset);
	StringSet operator*(const StringSet sset);
	StringSet operator-(StringSet sset);
	StringSet operator^(StringSet sset);

	friend ostream& operator <<(ostream& out, const StringSet& strset);
};
#endif